GeoSymAttExpression.StringExpression (OpenMap API)
Date: 2016-12-09

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.layer.vpf
Class GeoSymAttExpression.StringExpression

    java.lang.Object
      com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
          com.bbn.openmap.layer.vpf.GeoSymAttExpression.StringExpression

All Implemented Interfaces:
  GeoSymAttExpression.Expression

Enclosing class:
  GeoSymAttExpression

    public static class GeoSymAttExpression.StringExpression

extends GeoSymAttExpression.CompareExpression

The ECDISExpression checks the warehouse for user set values when evaluating.

Author:
  dietrick

Field Summary
`protected java.lang.String` | `val`

Fields inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`colIndex, colName, fci, op`

Constructor Summary
`GeoSymAttExpression.StringExpression(java.lang.String colName, java.lang.String val, int op)`

Method Summary
`boolean` | `evaluate(FeatureClassInfo fci, int row, java.lang.StringBuffer reasoning)`
`boolean` | `evaluate(FeatureClassInfo fci, java.util.List<java.lang.Object> row, java.lang.StringBuffer reasoning)` For ECDISExpressions, none of the arguments matter.
`protected boolean` | `test(java.lang.String val1, java.lang.String val2, java.lang.StringBuffer buf)` The basic test for the operator, returning val1 op val2.
`java.lang.String` | `toString()`

Methods inherited from class com.bbn.openmap.layer.vpf.GeoSymAttExpression.CompareExpression
`setIndexes, test`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### val

    protected java.lang.String val

Constructor Detail

### GeoSymAttExpression.StringExpression

    public GeoSymAttExpression.StringExpression(java.lang.String colName,
                                                java.lang.String val,
                                                int op)

Method Detail

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            int row,
                            java.lang.StringBuffer reasoning)

### evaluate

    public boolean evaluate(FeatureClassInfo fci,
                            java.util.List<java.lang.Object> row,
                            java.lang.StringBuffer reasoning)

  For ECDISExpressions, none of the arguments matter.

### test

    protected boolean test(java.lang.String val1,
                           java.lang.String val2,
                           java.lang.StringBuffer buf)

  The basic test for the operator, returning val1 op val2.

  Parameters:
    `val1` - NOT NULL
    `val2` - NOT NULL
    `buf` -
  Returns:
    true if operation passes

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details